You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     w...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: branches/2018Q1/science/py-mlpy/Makefile 455210 
2017-11-30 15:50:30Z mat $
Log URL:        
http://beefy15.nyi.freebsd.org/data/111armv6-quarterly/460364/logs/py27-mlpy-3.5.0_4.log
Build URL:      
http://beefy15.nyi.freebsd.org/build.html?mastername=111armv6-quarterly&build=460364
Log:

=>> Building science/py-mlpy
build started at Tue Jan 30 03:05:58 UTC 2018
port directory: /usr/ports/science/py-mlpy
package name: py27-mlpy-3.5.0_4
building for: FreeBSD 111armv6-quarterly-job-10 11.1-RELEASE-p6 FreeBSD 
11.1-RELEASE-p6 1101001 arm
maintained by: w...@freebsd.org
Makefile ident:      $FreeBSD: branches/2018Q1/science/py-mlpy/Makefile 455210 
2017-11-30 15:50:30Z mat $
Poudriere version: 3.2.4-22-g5aece630
Host OSVERSION: 1200054
Jail OSVERSION: 1101001
Job Id: 10

---Begin Environment---
POUDRIEREPATH=/usr/local/bin/poudriere
PACKAGE_BUILDING=yes
LOCALBASE=/usr/local
LIBEXECPREFIX=/usr/local/libexec/poudriere
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIERE_VERSION=3.2.4-22-g5aece630
P_PYTHON_MAJOR_VER=2
HOME=/root
USER=root
SCRIPTPREFIX=/usr/local/share/poudriere
MASTERNAME=111armv6-quarterly
PWD=/usr/local/poudriere/data/.m/111armv6-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
OLDPWD=/usr/local/poudriere/data/.m/111armv6-quarterly/ref/.p
POUDRIERE_BUILD_TYPE=bulk
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
QEMU_EMULATING=1
MASTERMNT=/usr/local/poudriere/data/.m/111armv6-quarterly/ref
SAVED_TERM=
STATUS=1
MAIL=/var/mail/root
BLOCKSIZE=K
UNAME_r=11.1-RELEASE-p6
UNAME_v=FreeBSD 11.1-RELEASE-p6 1101001
OSVERSION=1101001
ABI_FILE=/usr/lib/crt1.o
UNAME_m=arm
UNAME_p=armv6
SHELL=/bin/csh
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py27
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py27
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
w...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27  
HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/py-mlpy/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27  
HOME=/wrkdirs/usr/ports/science/py-mlpy/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/py-mlpy/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
LDSHARED="/nxb-bin/usr/bin/cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -I/usr/local/include 
-I/usr/local/lib/python2.7/site-packages/numpy/core -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -I/usr/local/include 
-I/usr/local/lib/python2.7/site-packages/numpy/core -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_I
 NSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7  PYTHON_LIBDIR=lib/python2.7  
PYTHON_PLATFORM=freebsd11  PYTHON_PYOEXTENSION=pyo  
PYTHON_SITELIBDIR=lib/python2.7/site-packages  PYTHON_SUFFIX=27  PYTHON_VER=2.7 
 PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " OSREL=11.1 PREFIX=%D 
LOCALBASE=/usr/local  RESETPREFIX=/usr/local PORTDOCS="" PORTEXAMPLES="" 
LIB32DIR=lib DOCSDIR="share/doc/mlpy"  EXAMPLESDIR="share/examples/mlpy"  
DATADIR="share/mlpy"  WWWDIR="www/mlpy"  ETCDIR="etc/mlpy"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/mlpy 
DOCSDIR=/usr/local/share/doc/mlpy EXAMPLESDIR=/usr/local/share/examples/mlpy  
WWWDIR=/usr/local/www/mlpy ETCDIR=/usr/local/etc/mlpy
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=armv6
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=11.1
OSVERSION=1101001
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=11.1-RELEASE-p6
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-mlpy-3.5.0_4 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.3_1.txz
[111armv6-quarterly-job-10] Installing pkg-1.10.3_1...
[111armv6-quarterly-job-10] Extracting pkg-1.10.3_1: .......... done
===>   py27-mlpy-3.5.0_4 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py27-mlpy-3.5.0_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-mlpy-3.5.0_4 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-mlpy-3.5.0_4 for building
=> SHA256 Checksum OK for mlpy-3.5.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-mlpy-3.5.0_4 for building
===>  Extracting for py27-mlpy-3.5.0_4
=> SHA256 Checksum OK for mlpy-3.5.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-mlpy-3.5.0_4
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-mlpy-3.5.0_4 depends on package: py27-numpy>0 - not found
===>   Installing existing package /packages/All/py27-numpy-1.13.3,1.txz
[111armv6-quarterly-job-10] Installing py27-numpy-1.13.3,1...
[111armv6-quarterly-job-10] `-- Installing blas-3.5.0_3...
[111armv6-quarterly-job-10] |   `-- Installing gcc6-6.4.0_3...
[111armv6-quarterly-job-10] |   | `-- Installing binutils-2.28,1...
[111armv6-quarterly-job-10] |   |   `-- Installing gettext-runtime-0.19.8.1_1...
[111armv6-quarterly-job-10] |   |   | `-- Installing indexinfo-0.3.1...
[111armv6-quarterly-job-10] |   |   | `-- Extracting indexinfo-0.3.1: .... done
[111armv6-quarterly-job-10] |   |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[111armv6-quarterly-job-10] |   | `-- Extracting binutils-2.28,1: .......... 
done
[111armv6-quarterly-job-10] |   | `-- Installing gmp-6.1.2...
[111armv6-quarterly-job-10] |   | `-- Extracting gmp-6.1.2: .......... done
[111armv6-quarterly-job-10] |   | `-- Installing mpc-1.0.3...
[111armv6-quarterly-job-10] |   |   `-- Installing mpfr-3.1.6...
[111armv6-quarterly-job-10] |   |   `-- Extracting mpfr-3.1.6: .......... done
[111armv6-quarterly-job-10] |   | `-- Extracting mpc-1.0.3: ...... done
[111armv6-quarterly-job-10] |   `-- Extracting gcc6-6.4.0_3: .......... done
[111armv6-quarterly-job-10] `-- Extracting blas-3.5.0_3: ....... done
[111armv6-quarterly-job-10] `-- Installing cblas-1.0_7...
[111armv6-quarterly-job-10] `-- Extracting cblas-1.0_7: ......... done
[111armv6-quarterly-job-10] `-- Installing lapack-3.5.0_3...
[111armv6-quarterly-job-10] `-- Extracting lapack-3.5.0_3: .......... done
[111armv6-quarterly-job-10] `-- Installing py27-setuptools-36.5.0...
[111armv6-quarterly-job-10] |   `-- Installing python27-2.7.14_1...
[111armv6-quarterly-job-10] |   | `-- Installing libffi-3.2.1_2...
[111armv6-quarterly-job-10] |   | `-- Extracting libffi-3.2.1_2: .......... done
[111armv6-quarterly-job-10] |   | `-- Installing readline-7.0.3_1...
[111armv6-quarterly-job-10] |   | `-- Extracting readline-7.0.3_1: .......... 
done
[111armv6-quarterly-job-10] |   `-- Extracting python27-2.7.14_1: .......... 
done
[111armv6-quarterly-job-10] `-- Extracting py27-setuptools-36.5.0: .......... 
done
[111armv6-quarterly-job-10] `-- Installing suitesparse-4.0.2_7...
[111armv6-quarterly-job-10] |   `-- Installing openblas-0.2.20_1,1...
[111armv6-quarterly-job-10] |   `-- Extracting openblas-0.2.20_1,1: ......... 
done
[111armv6-quarterly-job-10] `-- Extracting suitesparse-4.0.2_7: .......... done
[111armv6-quarterly-job-10] Extracting py27-numpy-1.13.3,1: .......... done
Message from gcc6-6.4.0_3:

To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc6

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from cblas-1.0_7:

===>   NOTICE:

The cblas port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from python27-2.7.14_1:

===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   py27-mlpy-3.5.0_4 depends on package: py27-numpy>0 - found
===>   Returning to build of py27-mlpy-3.5.0_4
===>   py27-mlpy-3.5.0_4 depends on executable: cython-2.7 - not found
===>   Installing existing package /packages/All/py27-cython-0.26.txz
[111armv6-quarterly-job-10] Installing py27-cython-0.26...
[111armv6-quarterly-job-10] Extracting py27-cython-0.26: .......... done
===>   py27-mlpy-3.5.0_4 depends on executable: cython-2.7 - found
===>   Returning to build of py27-mlpy-3.5.0_4
===>   py27-mlpy-3.5.0_4 depends on package: py27-setuptools>0 - found
===>   py27-mlpy-3.5.0_4 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-mlpy-3.5.0_4 depends on shared library: libgsl.so - not found
===>   Installing existing package /packages/All/gsl-2.4.txz
[111armv6-quarterly-job-10] Installing gsl-2.4...
[111armv6-quarterly-job-10] Extracting gsl-2.4: .......... done
===>   py27-mlpy-3.5.0_4 depends on shared library: libgsl.so - found 
(/usr/local/lib/libgsl.so)
===>   Returning to build of py27-mlpy-3.5.0_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-mlpy-3.5.0_4
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 6, in <module>
    import numpy
  File "/usr/local/lib/python2.7/site-packages/numpy/__init__.py", line 142, in 
<module>
    from . import add_newdocs
  File "/usr/local/lib/python2.7/site-packages/numpy/add_newdocs.py", line 13, 
in <module>
    from numpy.lib import add_newdoc
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/__init__.py", line 8, 
in <module>
    from .type_check import *
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/type_check.py", line 
11, in <module>
    import numpy.core.numeric as _nx
  File "/usr/local/lib/python2.7/site-packages/numpy/core/__init__.py", line 
26, in <module>
    raise ImportError(msg)
ImportError: 
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: /usr/local/lib/libblas.so.2: Undefined symbol 
"__aeabi_uidiv"

*** Error code 1

Stop.
make: stopped in /usr/ports/science/py-mlpy
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to